#    *** tests ***
mkdir tests
echo "Generating test #1"
scripts/gen-input-via-stdout.sh "wine files/main.exe 1 0 0 0 0 0 0" "tests/01" 1
echo "Generating test #2"
scripts/gen-input-via-stdout.sh "wine files/main.exe 5 0 1 0 1 3 4" "tests/02" 2
echo "Generating test #3"
scripts/gen-input-via-stdout.sh "wine files/main.exe 1 0 1 1 1 -73807669 9565495 390398" "tests/03" 3
echo "Generating test #4"
scripts/gen-input-via-stdout.sh "wine files/main.exe 2 0 1 1 0 89762368 12762811 729741" "tests/04" 4
echo "Generating test #5"
scripts/gen-input-via-stdout.sh "wine files/main.exe 3 1 0 0 1 -70895517 -99429786 797806" "tests/05" 5
echo "Generating test #6"
scripts/gen-input-via-stdout.sh "wine files/main.exe 4 0 0 0 1 96803355 94220280 1105" "tests/06" 6
echo "Generating test #7"
scripts/gen-input-via-stdout.sh "wine files/main.exe 5 0 1 0 1 -23298251 -16480666 158202" "tests/07" 7
echo "Generating test #8"
scripts/gen-input-via-stdout.sh "wine files/main.exe 6 1 1 1 0 32380206 13618455 465802" "tests/08" 8
echo "Generating test #9"
scripts/gen-input-via-stdout.sh "wine files/main.exe 7 1 0 1 0 68891320 62325023 85044" "tests/09" 9
echo "Generating test #10"
scripts/gen-input-via-stdout.sh "wine files/main.exe 8 0 1 1 0 -73929579 -70162735 651891" "tests/10" 10
echo "Generating test #11"
scripts/gen-input-via-stdout.sh "wine files/main.exe 9 0 1 1 1 51292330 92554885 310571" "tests/11" 11
echo "Generating test #12"
scripts/gen-input-via-stdout.sh "wine files/main.exe 10 1 1 1 0 95800127 45306417 471343" "tests/12" 12
echo "Generating test #13"
scripts/gen-input-via-stdout.sh "wine files/main.exe 11 1 0 1 0 57333717 -37375642 483187" "tests/13" 13
echo "Generating test #14"
scripts/gen-input-via-stdout.sh "wine files/main.exe 12 0 1 1 0 97032691 -66410914 950644" "tests/14" 14
echo "Generating test #15"
scripts/gen-input-via-stdout.sh "wine files/main.exe 13 1 0 0 1 12073876 86723121 836328" "tests/15" 15
echo "Generating test #16"
scripts/gen-input-via-stdout.sh "wine files/main.exe 14 0 0 1 1 -15405334 70777259 72325" "tests/16" 16
echo "Generating test #17"
scripts/gen-input-via-stdout.sh "wine files/main.exe 15 1 1 1 1 86731375 -20578202 102454" "tests/17" 17
echo "Generating test #18"
scripts/gen-input-via-stdout.sh "wine files/main.exe 1 1 0 0 1 47905660 -468272 73225" "tests/18" 18
echo "Generating test #19"
scripts/gen-input-via-stdout.sh "wine files/main.exe 2 0 0 1 1 -30326200 65694310 140561" "tests/19" 19
echo "Generating test #20"
scripts/gen-input-via-stdout.sh "wine files/main.exe 3 0 0 1 1 -15519690 -24892447 58017" "tests/20" 20
echo "Generating test #21"
scripts/gen-input-via-stdout.sh "wine files/main.exe 4 0 1 0 0 54182119 -47057201 66887" "tests/21" 21
echo "Generating test #22"
scripts/gen-input-via-stdout.sh "wine files/main.exe 5 1 0 1 1 82234565 -28973859 494528" "tests/22" 22
echo "Generating test #23"
scripts/gen-input-via-stdout.sh "wine files/main.exe 6 1 1 1 1 -51809262 -83973922 788821" "tests/23" 23
echo "Generating test #24"
scripts/gen-input-via-stdout.sh "wine files/main.exe 7 1 0 1 1 -49144908 -29312135 373193" "tests/24" 24
echo "Generating test #25"
scripts/gen-input-via-stdout.sh "wine files/main.exe 8 1 1 0 1 -1101204 -15230826 803973" "tests/25" 25
echo "Generating test #26"
scripts/gen-input-via-stdout.sh "wine files/main.exe 9 0 0 0 1 -61220363 52664504 349132" "tests/26" 26
echo "Generating test #27"
scripts/gen-input-via-stdout.sh "wine files/main.exe 10 0 0 0 0 8155972 38470540 502304" "tests/27" 27
echo "Generating test #28"
scripts/gen-input-via-stdout.sh "wine files/main.exe 11 0 0 1 1 -42312242 -95831445 354277" "tests/28" 28
echo "Generating test #29"
scripts/gen-input-via-stdout.sh "wine files/main.exe 12 0 1 0 0 -94653519 66025123 61786" "tests/29" 29
echo "Generating test #30"
scripts/gen-input-via-stdout.sh "wine files/main.exe 13 0 1 0 0 73315423 -18233189 781220" "tests/30" 30
echo "Generating test #31"
scripts/gen-input-via-stdout.sh "wine files/main.exe 14 1 1 1 1 55627670 -94054508 919629" "tests/31" 31
echo "Generating test #32"
scripts/gen-input-via-stdout.sh "wine files/main.exe 15 1 1 1 1 72383484 -6711604 712561" "tests/32" 32
echo "Generating test #33"
scripts/gen-input-via-stdout.sh "wine files/main.exe 1 0 0 0 0 25324995 -99710165 794309" "tests/33" 33
echo "Generating test #34"
scripts/gen-input-via-stdout.sh "wine files/main.exe 2 1 0 1 1 -57030840 12572766 611871" "tests/34" 34
echo "Generating test #35"
scripts/gen-input-via-stdout.sh "wine files/main.exe 3 1 0 1 1 15542937 42794662 890843" "tests/35" 35
echo "Generating test #36"
scripts/gen-input-via-stdout.sh "wine files/main.exe 4 1 0 0 0 -27748837 -28289005 717614" "tests/36" 36
echo "Generating test #37"
scripts/gen-input-via-stdout.sh "wine files/main.exe 5 1 1 1 1 -77878259 -63138358 305533" "tests/37" 37
echo "Generating test #38"
scripts/gen-input-via-stdout.sh "wine files/main.exe 6 1 0 1 0 33723218 16253985 901870" "tests/38" 38
echo "Generating test #39"
scripts/gen-input-via-stdout.sh "wine files/main.exe 7 1 0 0 1 97452679 65962031 319283" "tests/39" 39
echo "Generating test #40"
scripts/gen-input-via-stdout.sh "wine files/main.exe 8 1 1 1 1 -31802748 69994031 284012" "tests/40" 40
echo "Generating test #41"
scripts/gen-input-via-stdout.sh "wine files/main.exe 9 1 0 1 0 89859842 79998749 292977" "tests/41" 41
echo "Generating test #42"
scripts/gen-input-via-stdout.sh "wine files/main.exe 10 1 0 0 1 21706605 49871520 238143" "tests/42" 42
echo "Generating test #43"
scripts/gen-input-via-stdout.sh "wine files/main.exe 11 1 1 1 1 -68235724 78705205 816906" "tests/43" 43
echo "Generating test #44"
scripts/gen-input-via-stdout.sh "wine files/main.exe 12 1 0 0 0 51271185 -89183690 914517" "tests/44" 44
echo "Generating test #45"
scripts/gen-input-via-stdout.sh "wine files/main.exe 13 1 1 0 1 51166605 -10238486 681247" "tests/45" 45
echo "Generating test #46"
scripts/gen-input-via-stdout.sh "wine files/main.exe 14 0 0 1 1 -91099468 -2596309 821956" "tests/46" 46
echo "Generating test #47"
scripts/gen-input-via-stdout.sh "wine files/main.exe 15 1 0 1 0 4617074 -42527135 688728" "tests/47" 47
echo "Generating test #48"
scripts/gen-input-via-stdout.sh "wine files/main.exe 1 0 0 1 0 27687342 46587622 702821" "tests/48" 48
echo "Generating test #49"
scripts/gen-input-via-stdout.sh "wine files/main.exe 2 0 0 0 1 86287286 -59918703 386252" "tests/49" 49
echo "Generating test #50"
scripts/gen-input-via-stdout.sh "wine files/main.exe 3 1 0 0 0 23883041 -64030771 686990" "tests/50" 50
echo "Generating test #51"
scripts/gen-input-via-stdout.sh "wine files/main.exe 4 0 0 0 0 69515683 -77428737 11986" "tests/51" 51
echo "Generating test #52"
scripts/gen-input-via-stdout.sh "wine files/main.exe 5 1 1 0 1 57948585 -82433577 848989" "tests/52" 52
echo "Generating test #53"
scripts/gen-input-via-stdout.sh "wine files/main.exe 6 1 1 0 1 -3230826 49680871 400722" "tests/53" 53
echo "Generating test #54"
scripts/gen-input-via-stdout.sh "wine files/main.exe 7 1 0 1 1 28237699 -69629268 625428" "tests/54" 54
echo "Generating test #55"
scripts/gen-input-via-stdout.sh "wine files/main.exe 8 0 1 1 1 63846091 33244794 825651" "tests/55" 55
echo "Generating test #56"
scripts/gen-input-via-stdout.sh "wine files/main.exe 9 1 0 1 1 -34303642 58610320 390720" "tests/56" 56
echo "Generating test #57"
scripts/gen-input-via-stdout.sh "wine files/main.exe 10 0 1 0 1 -43159015 -48528608 841623" "tests/57" 57
echo "Generating test #58"
scripts/gen-input-via-stdout.sh "wine files/main.exe 11 0 0 0 1 -80748649 9083437 650177" "tests/58" 58
echo "Generating test #59"
scripts/gen-input-via-stdout.sh "wine files/main.exe 12 0 0 1 1 -91600410 97795623 695919" "tests/59" 59
echo "Generating test #60"
scripts/gen-input-via-stdout.sh "wine files/main.exe 13 0 1 1 1 -68087655 32684372 103557" "tests/60" 60
echo "Generating test #61"
scripts/gen-input-via-stdout.sh "wine files/main.exe 14 0 1 0 0 -44387431 16050939 850129" "tests/61" 61
echo "Generating test #62"
scripts/gen-input-via-stdout.sh "wine files/main.exe 15 0 0 1 1 69525934 -75185699 71343" "tests/62" 62
echo "Generating test #64"
scripts/gen-input-via-stdout.sh "wine files/main.exe 16 1 0 0 1 53858 -584564 654654" "tests/64" 64
echo "Generating test #65"
scripts/gen-input-via-stdout.sh "wine files/main.exe 17 1 1 0 1 -879789 -584564 6932" "tests/65" 65
echo "Generating test #66"
scripts/gen-input-via-stdout.sh "wine files/main.exe 18 1 0 1 0 -534534 5345345 5435" "tests/66" 66
echo "Generating test #67"
scripts/gen-input-via-stdout.sh "wine files/main.exe 19 1 0 0 1 548958 65546 635426" "tests/67" 67
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a
echo ""
echo "Generating answer for test #49"
scripts/gen-answer.sh tests/49 tests/49.a
echo ""
echo "Generating answer for test #50"
scripts/gen-answer.sh tests/50 tests/50.a
echo ""
echo "Generating answer for test #51"
scripts/gen-answer.sh tests/51 tests/51.a
echo ""
echo "Generating answer for test #52"
scripts/gen-answer.sh tests/52 tests/52.a
echo ""
echo "Generating answer for test #53"
scripts/gen-answer.sh tests/53 tests/53.a
echo ""
echo "Generating answer for test #54"
scripts/gen-answer.sh tests/54 tests/54.a
echo ""
echo "Generating answer for test #55"
scripts/gen-answer.sh tests/55 tests/55.a
echo ""
echo "Generating answer for test #56"
scripts/gen-answer.sh tests/56 tests/56.a
echo ""
echo "Generating answer for test #57"
scripts/gen-answer.sh tests/57 tests/57.a
echo ""
echo "Generating answer for test #58"
scripts/gen-answer.sh tests/58 tests/58.a
echo ""
echo "Generating answer for test #59"
scripts/gen-answer.sh tests/59 tests/59.a
echo ""
echo "Generating answer for test #60"
scripts/gen-answer.sh tests/60 tests/60.a
echo ""
echo "Generating answer for test #61"
scripts/gen-answer.sh tests/61 tests/61.a
echo ""
echo "Generating answer for test #62"
scripts/gen-answer.sh tests/62 tests/62.a
echo ""
echo "Generating answer for test #63"
scripts/gen-answer.sh tests/63 tests/63.a
echo ""
echo "Generating answer for test #64"
scripts/gen-answer.sh tests/64 tests/64.a
echo ""
echo "Generating answer for test #65"
scripts/gen-answer.sh tests/65 tests/65.a
echo ""
echo "Generating answer for test #66"
scripts/gen-answer.sh tests/66 tests/66.a
echo ""
echo "Generating answer for test #67"
scripts/gen-answer.sh tests/67 tests/67.a
echo ""
echo "Generating answer for test #68"
scripts/gen-answer.sh tests/68 tests/68.a
echo ""

